curl "https://api.crewship.dev/v1/threads?deployment_id=dep_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"threads": [
{
"thread_id": "thr_xyz789abc",
"deployment_id": "dep_abc123",
"status": "idle",
"metadata": {"user_id": "user_1"},
"values": null,
"created_at": "2024-01-15T10:35:00Z",
"updated_at": "2024-01-15T10:35:00Z"
}
]
}
Threads
List Threads
List threads for a deployment
GET
/
v1
/
threads
curl "https://api.crewship.dev/v1/threads?deployment_id=dep_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"threads": [
{
"thread_id": "thr_xyz789abc",
"deployment_id": "dep_abc123",
"status": "idle",
"metadata": {"user_id": "user_1"},
"values": null,
"created_at": "2024-01-15T10:35:00Z",
"updated_at": "2024-01-15T10:35:00Z"
}
]
}
Query Parameters
string
required
Deployment ID to filter threads
string
Filter by status:
idle, busy, interrupted, errornumber
default:"20"
Number of threads to return
number
default:"0"
Offset for pagination
Response
array
Array of thread objects
curl "https://api.crewship.dev/v1/threads?deployment_id=dep_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"threads": [
{
"thread_id": "thr_xyz789abc",
"deployment_id": "dep_abc123",
"status": "idle",
"metadata": {"user_id": "user_1"},
"values": null,
"created_at": "2024-01-15T10:35:00Z",
"updated_at": "2024-01-15T10:35:00Z"
}
]
}